using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace DiunaBI.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class Layerparent : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<Guid>(
                name: "parentId",
                table: "Layers",
                type: "uniqueidentifier",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_Layers_parentId",
                table: "Layers",
                column: "parentId");

            migrationBuilder.AddForeignKey(
                name: "FK_Layers_Layers_parentId",
                table: "Layers",
                column: "parentId",
                principalTable: "Layers",
                principalColumn: "Id");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Layers_Layers_parentId",
                table: "Layers");

            migrationBuilder.DropIndex(
                name: "IX_Layers_parentId",
                table: "Layers");

            migrationBuilder.DropColumn(
                name: "parentId",
                table: "Layers");
        }
    }
}
